Package org.gradle.api.plugins.catalog

# Interface CatalogPluginExtension

public interface CatalogPluginExtension
Allows configuring a version catalog.

Since:
  7.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `configureExplicitAlias(String alias, String group, String name)`
  Configures an explicit alias for a dependency in case of name clash
  `void`
  `versionCatalog(Action<? super VersionCatalogBuilder> spec)`
  Configures the version catalog.

- ## Method Details

  - ### versionCatalog

    void versionCatalog(Action<? super VersionCatalogBuilder> spec)
    Configures the version catalog.
    Parameters:
      `spec` - the spec used to configure the dependencies

  - ### configureExplicitAlias

    void configureExplicitAlias(String alias, String group, String name)
    Configures an explicit alias for a dependency in case of name clash